/* ------------------------------------ */
/* 読み取り専用はinputに見えない */

input[readonly] {
    border-color: transparent;
}

input[readonly]:focus-visible {
    outline: none;
}

/* ------------------------------------ */
/* 共通部上書き */

h4 {
    margin: 0.5em 0;
}

label:has(input[type=checkbox]),
label:has(input[type=radio]) {
    cursor: pointer;
}

label:has(input[type=checkbox]:disabled),
label:has(input[type=radio]:disabled) {
    color: #AAA;
}

/* ------------------------------------ */
/* 独自スタイル */

.content-box {
    margin-bottom: 1em;
}

.contetnt-center-block {
    text-align: center;
}

.input-group {
    display: flex;
    flex-wrap: wrap;
}

.input-group .input-group-item {
    width: 50%;
}

.image-block {
    margin-top: 0.5em;
}

.anchor-list {
    margin-left: 2em;
}

/* ------------------------------------ */

.input-type-table td,
.input-type-table th {
    padding: 0;
    border: none;
}

.input-detail-box {
    display: grid;
    grid-template-columns: 5em auto auto 1fr;
}

.input-detail-box+.input-detail-box {
    margin-top: -1px;
    border-top: 1px dotted #777;
}

.input-type-name {
    grid-area: 1 / 1 / 3 / 2;
    padding: 4px;
    align-content: center;
    text-align: center;
    border-bottom: 1px dotted #777;
}

.input-type-info {
    display: flex;
    justify-content: space-between;
    border-left: 1px dotted #777;
    border-bottom: 1px dotted #777;
    padding: 3px 5px;
    line-height: 1;
}

.input-type-info-header {
    width: 7em;
    padding: 4px 0;
    margin-right: 0.5em;
}

.input-type-info-value {
    display: flex;
    flex: 1;
    text-align: right;
}

.input-type-info-value input {
    width: 4em;
    text-align: right;
}

.input-type-info-unit {
    width: 1em;
    margin-left: 0.5em;
    padding: 4px 0;
    text-align: left;
}

.input-type-info-action {
    padding: 0;
}

/* ------------------------------------ */

.js-call-unit-calc {
    display: block;
    width: 100%;
}

.hidden {
    /* opacity: 0.1; */
    display: none;
}

.invisible {
    visibility: hidden;
}


/* ------------------------------------ */
@media screen and (max-width:767px) {/*iPad miniは含めない*/
    .input-group {
        flex-direction: column;
    }

    .input-group .input-group-item {
        width: 100%;
    }

    .input-detail-box {
        grid-template-columns: 5em 1fr;
    }

    .input-type-name {
        grid-area: 1 / 1 / 7 / 2;
    }


    .input-type-info-header {
        min-width: 8em;
    }
}